Gnome2::AppBar(3)

NAME
Gnome2::AppBar

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gnome2::AppBar

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  widget = Gnome2::AppBar->new ($has_progress, $has_status, $interactivity)

•   $has_progress (boolean)

•   $has_status (boolean)

•   $interactivity (Gnome2::PreferencesType)

  $appbar->clear_prompt

  $appbar->clear_stack

  $appbar->set_default ($default_status)

•   $default_status (string)

  $appbar->install_menu_hints ($uiinfo)

•   $uiinfo (Gnome2::UIInfo)

  $appbar->pop

  progressbar = $appbar->get_progress

  $appbar->set_progress_percentage ($percentage)

•   $percentage (double)

  $appbar->set_prompt ($prompt, $modal)

•   $prompt (string)

•   $modal (boolean)

  $appbar->push ($status)

•   $status (string)

  $appbar->refresh

  string = $appbar->get_response

  widget = $appbar->get_status

  $appbar->set_status ($status)

•   $status (string)

PROPERTIES

'has-progress' (boolean : default false : readable / writable / construct)
    Create a progress widget.

'has-status' (boolean : default false : readable / writable / construct)
    Create a status widget.

'interactivity' (Gnome2::PreferencesType : default "never" : readable / writable / construct)
    Level of user activity required.

SIGNALS

user-response (Gnome2::AppBar)
clear-prompt (Gnome2::AppBar)

ENUMS AND FLAGS

  enum Gnome2::PreferencesType

•   'never' / 'GNOME_PREFERENCES_NEVER'

•   'user' / 'GNOME_PREFERENCES_USER'

•   'always' / 'GNOME_PREFERENCES_ALWAYS'

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::HBox

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.